@echo off

REM # Clean:
REM # 1) remove logs
REM # 2) remove props\jnpad.properties
REM # 3) remove props\jnpad.defaults.properties
REM # 4) remove props\search.properties

cls
echo.
echo   remove logs...
echo   ----------------------------------
echo   Progress: лл         20%%
echo   ----------------------------------
call :removeDir logs

cls
echo.
echo   remove props\jnpad.properties...
echo   ----------------------------------
echo   Progress: лллл       40%%
echo   ----------------------------------
call :removeFile props\jnpad.properties

cls
echo.
echo   remove props\jnpad.defaults.properties...
echo   ----------------------------------
echo   Progress: лллллл     60%%
echo   ----------------------------------
call :removeFile props\jnpad.defaults.properties

cls
echo.
echo   remove props\search.properties...
echo   ----------------------------------
echo   Progress: лллллллл   80%%
echo   ----------------------------------
call :removeFile props\search.properties

cls
echo.
echo   Task finished.
echo   ----------------------------------
echo   Progress: лллллллллл 100%%
echo   ----------------------------------
echo.

goto :end

:removeDir
if exist %~1 rmdir /s /q %~1
goto:EOF

:removeFile
if exist %~1 del %~1
goto:EOF

:end

@echo on
